<template>
  <div v-if="isActive" class="p-4">
    <slot></slot>
  </div>
</template>

<script setup lang="ts">
import type { Ref } from 'vue'
import { inject, computed } from 'vue'

interface TabContentProps {
  value: string
}

const props = defineProps<TabContentProps>()

const activeTab = inject<Ref<string>>('activeTab')

const isActive = computed(() => activeTab?.value === props.value)
</script>
